<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li class="current"><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>makeBufferCopy()
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#d20854717425ed03395fb0433b566e3b">Ogre::HardwareBufferManager</a>
<li>makeCeil()
: <a class="el" href="classOgre_1_1Vector2.html#408be4c5539e93a4272e05249bafe0be">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#61e91dcf16f7db52d299e976526218e3">Ogre::Vector3</a>
<li>makeFloor()
: <a class="el" href="classOgre_1_1Vector2.html#946495c4a55e1f8048aab6920bf0ac9f">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#8430bb9f7756acb8256497f004afac49">Ogre::Vector3</a>
<li>makeInverseTransform()
: <a class="el" href="classOgre_1_1Matrix4.html#4e5949d1d1004070660f31036ee69523">Ogre::Matrix4</a>
<li>makeTrans()
: <a class="el" href="classOgre_1_1Matrix4.html#87f478c5d19a10a371b736108e0b5e5f">Ogre::Matrix4</a>
<li>makeTransform()
: <a class="el" href="classOgre_1_1Matrix4.html#283bf568c924a673a1467c428d4b969d">Ogre::Matrix4</a>
<li>makeTriangles()
: <a class="el" href="classOgre_1_1PatchSurface.html#abf219fe8c94bbd9fca97a2b9d7b2ce5">Ogre::PatchSurface</a>
<li>manageController()
: <a class="el" href="classOgre_1_1RibbonTrail.html#aa549cf551eff3d644f2bfccf57152df">Ogre::RibbonTrail</a>
<li>ManualObject()
: <a class="el" href="classOgre_1_1ManualObject.html#88d99ad5d5fdb5702f7a6b8c3fdd82af">Ogre::ManualObject</a>
<li>ManualObjectFactory()
: <a class="el" href="classOgre_1_1ManualObjectFactory.html#e7ff8d7532887e279d5bc70a022b94a8">Ogre::ManualObjectFactory</a>
<li>ManualObjectSection()
: <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html#b30a7456e222407ed87f2c30af882dea">Ogre::ManualObject::ManualObjectSection</a>
<li>ManualObjectSectionShadowRenderable()
: <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSectionShadowRenderable.html#7f18acbafd1bbed9d1aded8ef6648967">Ogre::ManualObject::ManualObjectSectionShadowRenderable</a>
<li>manualRender()
: <a class="el" href="classOgre_1_1SceneManager.html#16f971d1a34ce55b83c16634a56e2b6a">Ogre::SceneManager</a>
<li>ManualResourceLoader()
: <a class="el" href="classOgre_1_1ManualResourceLoader.html#52b91457400f54642fd3c9e0182905f5">Ogre::ManualResourceLoader</a>
<li>MapIterator()
: <a class="el" href="classOgre_1_1MapIterator.html#f441aebe706d0121a8108ba526b660c1">Ogre::MapIterator&lt; T &gt;</a>
<li>markBuffersUnusedForAnimation()
: <a class="el" href="classOgre_1_1Entity.html#e46743f3b416899db0e51dd7cb6a9d68">Ogre::Entity</a>
<li>match()
: <a class="el" href="classOgre_1_1StringUtil.html#3005f863e31d14ad8e6502eb4d854709">Ogre::StringUtil</a>
<li>Material()
: <a class="el" href="classOgre_1_1Material.html#e3c92b81e6c247286c2304f320a368ef">Ogre::Material</a>
<li>MaterialBucket()
: <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#5f10bcd6548e3d203c56479882ad600b">Ogre::InstancedGeometry::MaterialBucket</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#e4abb9d4a5a88ff4cb1fb0f4b1fcac88">Ogre::StaticGeometry::MaterialBucket</a>
<li>MaterialManager()
: <a class="el" href="classOgre_1_1MaterialManager.html#ef0e85acfedd02d09bc78829607725b9">Ogre::MaterialManager</a>
<li>MaterialPtr()
: <a class="el" href="classOgre_1_1MaterialPtr.html#783b3718dc6d66583a7dac271530ad96">Ogre::MaterialPtr</a>
<li>MaterialScriptCompiler()
: <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#e8c2befcda7c7cc30923eb435863d296">Ogre::MaterialScriptCompiler</a>
<li>MaterialSerializer()
: <a class="el" href="classOgre_1_1MaterialSerializer.html#18fd324e22637deae4f3dbc58c261e12">Ogre::MaterialSerializer</a>
<li>Math()
: <a class="el" href="classOgre_1_1Math.html#4b1c2dbd4ad45996551abeab9cda6dd6">Ogre::Math</a>
<li>Matrix3()
: <a class="el" href="classOgre_1_1Matrix3.html#0ecaa32a22cc18ca76dc74377005e7e1">Ogre::Matrix3</a>
<li>Matrix4()
: <a class="el" href="classOgre_1_1Matrix4.html#bde37761a7b38997925b6805f6494f72">Ogre::Matrix4</a>
<li>max_size()
: <a class="el" href="classOgre_1_1AlignedAllocator.html#30e195193b6291bb26dce42cacb7da88">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>
<li>MaxCubicRoot()
: <a class="el" href="classOgre_1_1Matrix3.html#275b664601f3baaec4e13f2141a2cba4">Ogre::Matrix3</a>
<li>MemoryDataStream()
: <a class="el" href="classOgre_1_1MemoryDataStream.html#2196ee12b153b73e168f3ae3ba3a431e">Ogre::MemoryDataStream</a>
<li>MemoryManager()
: <a class="el" href="classOgre_1_1MemoryManager.html#b4d7541010794af9efee9a31a73f838f">Ogre::MemoryManager</a>
<li>merge()
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#f3ad8fdc676dc194817f6b7699914d5d">Ogre::AxisAlignedBox</a>
, <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#048e53605fc5790efba73d84aae6f525">Ogre::VisibleObjectsBoundsInfo</a>
, <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#5fd1dd8bbaf06f2414946e356be80f6c">Ogre::FocusedShadowCameraSetup::PointListBody</a>
<li>mergePolygons()
: <a class="el" href="classOgre_1_1ConvexBody.html#4d33db4b9003a76a299649cede0c5557">Ogre::ConvexBody</a>
<li>Mesh()
: <a class="el" href="classOgre_1_1Mesh.html#0066a7e921528c059b23ec09d97b2507">Ogre::Mesh</a>
<li>MeshManager()
: <a class="el" href="classOgre_1_1MeshManager.html#02e6d60df44151ca1e36b77c4260cef6">Ogre::MeshManager</a>
<li>MeshPtr()
: <a class="el" href="classOgre_1_1MeshPtr.html#ebb20f59bcb21a19a197e290e705effd">Ogre::MeshPtr</a>
<li>MeshSerializer()
: <a class="el" href="classOgre_1_1MeshSerializer.html#909bfb50bcf347edbdf7564e0ecb92b5">Ogre::MeshSerializer</a>
<li>MeshSerializerImpl()
: <a class="el" href="classOgre_1_1MeshSerializerImpl.html#3e3b5ec381592b2a925d174a9a03730f">Ogre::MeshSerializerImpl</a>
<li>MeshSerializerImpl_v1_1()
: <a class="el" href="classOgre_1_1MeshSerializerImpl__v1__1.html#9f84c5bc9a0ad5d72dde6384d47f6c81">Ogre::MeshSerializerImpl_v1_1</a>
<li>MeshSerializerImpl_v1_2()
: <a class="el" href="classOgre_1_1MeshSerializerImpl__v1__2.html#21f6c4766b63a330ed60f705e48ae7ff">Ogre::MeshSerializerImpl_v1_2</a>
<li>MeshSerializerImpl_v1_3()
: <a class="el" href="classOgre_1_1MeshSerializerImpl__v1__3.html#bee5e37ffde0f39d8122b2e321bd02e5">Ogre::MeshSerializerImpl_v1_3</a>
<li>messageLogged()
: <a class="el" href="classOgre_1_1LogListener.html#34612b88ef8486fb02fefb1b2ff316d0">Ogre::LogListener</a>
<li>messagePump()
: <a class="el" href="classOgre_1_1WindowEventUtilities.html#2b01f340e3022446fa9e7a0addeb6610">Ogre::WindowEventUtilities</a>
<li>midPoint()
: <a class="el" href="classOgre_1_1Vector2.html#d79868b92edb2c5187d8b11387010a7d">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#3c770ca212fb3b84f6668c96a2b67ae2">Ogre::Vector3</a>
<li>modifyElement()
: <a class="el" href="classOgre_1_1VertexDeclaration.html#cf877a67096cf85fce47757010b531b1">Ogre::VertexDeclaration</a>
<li>modifyLastRule()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#fd49a50f0259fb0fc06bf539ef49aeb4">Ogre::Compiler2Pass</a>
<li>mostSignificantBitSet()
: <a class="el" href="classOgre_1_1Bitwise.html#a3fd3a659f416fe2f6e034c42b6a873c">Ogre::Bitwise</a>
<li>MovableObject()
: <a class="el" href="classOgre_1_1MovableObject.html#4289fbdfe280c454f62f0f780d734817">Ogre::MovableObject</a>
<li>MovableObjectFactory()
: <a class="el" href="classOgre_1_1MovableObjectFactory.html#20ebc986aa86806dc61a95e86312500f">Ogre::MovableObjectFactory</a>
<li>MovablePlane()
: <a class="el" href="classOgre_1_1MovablePlane.html#1e8880edd02253c315d394a20fe50c08">Ogre::MovablePlane</a>
<li>move()
: <a class="el" href="classOgre_1_1Camera.html#7666cc73efeab787e0094ee992eb9fee">Ogre::Camera</a>
<li>moveDataFromBody()
: <a class="el" href="classOgre_1_1ConvexBody.html#d139be0d8377d805b0709966974a5cda">Ogre::ConvexBody</a>
<li>moveNext()
: <a class="el" href="classOgre_1_1MapIterator.html#6f2d249b275069294858135cfa75516d">Ogre::MapIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1ConstVectorIterator.html#2298651fb715585b7b3dc542a5bf5c3e">Ogre::ConstVectorIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1VectorIterator.html#1b2eb5764eb351df14327a606bba7b77">Ogre::VectorIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1ConstMapIterator.html#4e9aff4fca99c633ad6cfa689aa81f25">Ogre::ConstMapIterator&lt; T &gt;</a>
<li>movePass()
: <a class="el" href="classOgre_1_1Technique.html#6fe998209ba33ea38fdcef68743d678c">Ogre::Technique</a>
<li>moveRelative()
: <a class="el" href="classOgre_1_1Camera.html#544d92ca3b916325f63b460e4de5b752">Ogre::Camera</a>
<li>multiply()
: <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#10a7671b8f9cb821fb5d720c3457358b">Ogre::AnyNumeric::numplaceholder</a>
, <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#582605d2ca14d373552fc099760a346a">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>
, <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#33346f961dc51e8a3fc0a347104f999e">Ogre::AnyNumeric::numplaceholder</a>
, <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#09ef8fec011588204b5ffc4c00770526">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>
<li>multiplyTypeCount()
: <a class="el" href="classOgre_1_1VertexElement.html#e5e021d95c04f267cd8f4bcc8133aa8b">Ogre::VertexElement</a>
<li>MultiRenderTarget()
: <a class="el" href="classOgre_1_1MultiRenderTarget.html#a46e2aa682020f1e0c4b413e64372ef7">Ogre::MultiRenderTarget</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
